---
import "@assets/scss/main.scss";

import { HeaderContainer } from "ubports-astro-components";
import { FooterContainer } from "ubports-astro-components";

import HeaderData from "ubports-astro-components/data/header.json";
import FooterData from "ubports-astro-components/data/footer.json";

import ubuntuTouchLogoDarkImg from "ubports-astro-components/img/ubuntu-touch-logo-dark.svg";
import ubuntuTouchLogoLightImg from "ubports-astro-components/img/ubuntu-touch-logo.svg";

const { pageMeta } = Astro.props;
---

<!doctype html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width" />
    <title>{pageMeta.title}</title>
    {pageMeta.meta && pageMeta.meta.map((metaObj) => <meta {...metaObj} />)}
    <link rel="icon" href="/favicon.svg" type="image/svg+xml" sizes="any" />
    <link rel="icon" type="image/x-icon" href="/favicon.ico" />
  </head>
  <body>
    <HeaderContainer
      lightImg={ubuntuTouchLogoLightImg}
      darkImg={ubuntuTouchLogoDarkImg}
      links={HeaderData}
    />

    <div class="container">
      <slot />
    </div>

    <FooterContainer links={FooterData} />
    <script>
      import("@logic/client/main.js").then((f) => f.default());
    </script>
  </body>
</html>
